extern crate pvn;

use pvn::Fighter;
use pvn::pirates::Pirates;
use pvn::ninjas::Ninjas;
use std::env;

#[macro_use]
extern crate log;
extern crate env_logger;

fn main () {
    env_logger::init().unwrap();

    let mut pirates = Pirates::new();
    let mut ninjas = Ninjas::new();

    let pirate_name = &env::args().nth(1).expect("Expected pirate name as first argument")[..];
    let pirate = pirates.get(pirate_name).unwrap();

    let ninja_name = &env::args().nth(2).expect("Expected ninja name as second argument")[..];
    let ninja = ninjas.get(ninja_name).unwrap();

    println!("{:?} => {}", pirate, pirate.power());
    println!("{:?} => {}", ninja, ninja.power());

    if ninja.power() == pirate.power() {
        println!("It's a tie!")
    } else if ninja.power() > pirate.power() {
        println!("Winner: {}!", ninja.name);
    } else {
        println!("Winner: {}!", pirate.name);
    }
}
